import { IDatatransferItem } from '../models/datatransfer-item.model';
import { IProgressContainer } from '../models/progress-container.model';
import { TransferStatus } from '../enums/transfer-status.enum';
export declare class DatatransferStore {
    private items;
    count: number;
    failedCount: number;
    uploadProgress: IProgressContainer;
    downloadProgress: IProgressContainer;
    constructor();
    private updateCount;
    updateFailedCount(): void;
    getItems(): IDatatransferItem[];
    getSelected(): IDatatransferItem[];
    getById(id: string): IDatatransferItem;
    getIndexById(id: string): number;
    clear(): void;
    addItem(item: IDatatransferItem): void;
    removeById(id: string): void;
    getByStatus(status: TransferStatus): IDatatransferItem[];
}
