import { PaginationService } from '../services/pagination.service';
import { LoggerService } from '../services/logger.service';
export declare class PaginationComponent {
    private logger;
    paginationService: PaginationService;
    constructor(logger: LoggerService);
    max(): number;
    min(): number;
    first(): void;
    last(): void;
    hasNext(): boolean;
    hasPrevious(): boolean;
    moveNext(): void;
    movePrevious(): void;
    onPageChange(): void;
    onRppChange(): void;
    onPaginationChange(): void;
    pageCount(): number;
}
